Bug 120573 - microcode update fails: "Bad data in microcode data file"
microcode update fails: "Bad data in microcode data file"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-10 21:11 EDT by Jordan Russell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-01 22:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2004-04-10 21:11:19 EDT
Description of problem:
The microcode update works fine with RHL9's kernel-utils package
(2.4-8.29) but gives an error with FC1's kernel-utils package
(2.4-9.1.101).

Version-Release number of selected component (if applicable):
kernel-utils-2.4-9.1.101.fedora

How reproducible:
Always

Steps to Reproduce:
# service microcode_ctl start
# cat /var/log/messages

Actual Results:

Apr 10 19:58:09 fishy kernel: microcode: collect_cpu_info : sig=0x683,
pf=0x10, rev=0x14
Apr 10 19:58:09 fishy kernel: microcode: error! Bad data in microcode
data file
Apr 10 19:58:09 fishy kernel: microcode: Error in the microcode data

Expected Results:

When I downgrade to the kernel-utils package from RHL9, I get this
(which is correct):

Apr 10 20:02:38 fishy kernel: microcode: collect_cpu_info : sig=0x683,
pf=0x10, rev=0x14
Apr 10 20:02:38 fishy kernel: Microcode Found.
Apr 10 20:02:38 fishy kernel:    Header Revision 0x1
Apr 10 20:02:38 fishy kernel:    Loader Revision 0x1
Apr 10 20:02:38 fishy kernel:    Revision 0x14
Apr 10 20:02:38 fishy kernel:    Date 2/6/2001
Apr 10 20:02:38 fishy kernel:    Signature 0x683
Apr 10 20:02:38 fishy kernel:    Type 0x0 Family 0x6 Model 0x8
Stepping 0x3
Apr 10 20:02:38 fishy kernel:    Processor Flags 0x10
Apr 10 20:02:38 fishy kernel:    Checksum 0x976fd98
Apr 10 20:02:38 fishy kernel: microcode: CPU0 already at revision 0x14
(current=0x14)
Apr 10 20:02:38 fishy kernel: microcode: No suitable data for cpu 0

Additional info:

I'm testing with a PIII 800 CPU.
Comment 1 Jordan Russell 2004-06-01 22:20:34 EDT
After upgrading to Fedora Core 2, this problem has gone away.
I now get "No suitable data for cpu 0", as with Red Hat Linux 9.

Note You need to log in before you can comment on or make changes to this bug.